#
 
Name:           trojita
Version:        0.7
Release:        %mkrel 1
License:        (GPLv2 or GPLv3) and BSD and LGPLv2 and (LGPLv2.1 or GPLv3) and LGPLv2+ and GPLv2
Summary:        Qt IMAP e-mail client
Url:            http://trojita.flaska.net/
Group:          Networking/Mail
Source:         http://sourceforge.net/projects/trojita/files/src/%{name}-%{version}.tar.xz
#------------------------------------------
Requires: lib64qt5svg5
Requires: lib64qt5-database-plugin-sqlite
Requires: lib64kf5gpgmepp_5
Requires: lib64mimetic0
Requires: ragel
#------------------------------------------
BuildRequires: cmake
BuildRequires: lib64mimetic-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5keychain-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5webkit-devel
BuildRequires: lib64qt5webkitwidgets-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: zlib1-devel
#------------------------------------------

%description
Trojita is a Qt IMAP e-mail client which:
  * Enables you to access your mail anytime, anywhere.
  * Does not slow you down. If we can improve the productivity of an e-mail user, we better do.
  * Respects open standards and facilitates modern technologies. We value the vendor-neutrality that IMAP provides and are committed to be as interoperable as possible.
  * Is efficient — be it at conserving the network bandwidth, keeping memory use at a reasonable level or not hogging the system's CPU.
  * Can be used on many platforms. One UI is not enough for everyone, but our IMAP core works fine on anything from desktop computers to cell phones and big ERP systems.
  * Plays well with the rest of the ecosystem. We don't like reinventing wheels, but when the existing wheels quite don't fit the tracks, we're not afraid of making them work.

%package plugin-qtkeychain

Summary: Add secure password storage to Trojitá, a fast e-mail client
Group: Networking/Mail   
Requires: %{name}

%description plugin-qtkeychain
Plugin which enables Trojitá to save passwords in platform-specific storage.
 
%prep
%setup -q
 
%build
sed -i /Html_formatting/d CMakeLists.txt
%cmake_kf5 -DWITH_CRYPTO_MESSAGES=OFF \

%make
 
%install
%make_install -C build 

%clean
rm -rf %buildroot

 
%files
%defattr(-,root,root)
%doc LICENSE README
%{_libdir}/libtrojita_plugins.so
%{_bindir}/trojita
%{_bindir}/be.contacts
%{_datadir}/applications/trojita.desktop
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/*
%dir %{_datadir}/icons/hicolor/*/apps
%{_datadir}/icons/hicolor/32x32/apps/trojita.png
%{_datadir}/icons/hicolor/scalable/apps/trojita.svg
%dir %{_datadir}/trojita
%dir %{_datadir}/trojita/locale
%{_datadir}/trojita/locale/trojita_common_*.qm
%dir %{_datadir}/appdata
%{_datadir}/appdata/trojita.appdata.xml

%files plugin-qtkeychain
%defattr(-,root,root)
%dir %{_libdir}/trojita
%{_libdir}/trojita/trojita_plugin_QtKeychainPasswordPlugin.so


%changelog
* Sat Jan 04 2020 tex - 0.7-1pclos2020
- create package
